
/** Skeleton website */
.card-skeleton {
    width: 270px;
    height:300px;
    margin: 5px;
    position: relative;
    float: left;
    top: 0;
    left: 0;
    transition: all .3s ease-in-out;
    -webkit-backface-visibility: hidden;
    background: #fff;
    z-index: 10;
    padding: 15px;
    opacity: 1
}

.card-skeleton.hidden {
    transition: all .3s ease-in-out;
    opacity: 0;
    height: 0;
    padding: 0
}

.card-skeleton-img {
    width: 100%;
    height: 120px;
    background: #e6e6e6;
    display: block
}

.animated-background {
    will-change: transform;
    animation: placeHolderShimmer 3s linear infinite forwards;
    -webkit-backface-visibility: hidden;
    background: #e6e6e6;
    background: linear-gradient(124deg, #0459bf, #0270d2, #1e91d7);
    background-size: 800px 104px;
    height: 100%;
    position: relative
}

.skel-mask-container {
    position: relative
}

.skel-mask {
    background: #fff;
    position: absolute;
    z-index: 200
}

.skel-mask-1 {
    width: 100%;
    height: 15px;
    top: 0;
    left: 0
}

.skel-mask-2 {
    width: 25%;
    height: 10px;
    top: 15px;
    right: 0
}

.skel-mask-3 {
    top: 25px
}

.skel-mask-3,
.skel-mask-4 {
    width: 100%;
    height: 15px;
    right: 0
}

.skel-mask-4 {
    top: 50px
}

.skel-mask-5 {
    width: 10%;
    height: 30px;
    top: 65px;
    right: 30%
}

.skel-mask-6 {
    width: 100%;
    height: 15px;
    top: 95px;
    right: 0
}

/* DÉVELOPPEMENT SUR MESURE */
.code-editor {
    width: 600px;
    margin: 20px auto;
}
/*.code-editor.fullscreen {
    width: calc(100% - 40px);
    position: fixed;
    height: calc(100% - 120px);
    margin: 20px;
}*/
.code-editor .controls {
    background-color: #e8ecef;
    font-size: 10px;
    font-size: 1rem;
    display: block;
    padding: 15px;
    text-align: right;
    -webkit-border-top-left-radius: 6px;
    -ms-border-top-left-radius: 6px;
    -moz-border-top-left-radius: 6px;
    -o-border-top-left-radius: 6px;
    border-top-left-radius: 6px;
    -webkit-border-top-right-radius: 6px;
    -ms-border-top-right-radius: 6px;
    -moz-border-top-right-radius: 6px;
    -o-border-top-right-radius: 6px;
    border-top-right-radius: 6px;
}
.code-editor .controls i {
    color: #bac1c9;
    cursor: pointer;
    margin-left: 15px;
}
.code-editor .controls i:hover {
    color: #818e9c;
}
.code-editor .embed-nav {
    background-color: #384a56;
    padding: 15px;
}
.code-editor .embed-nav ul {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-flow: row wrap;
    -moz-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
}
.code-editor .embed-nav ul li {
    margin-right: 10px;
}
.code-editor .embed-nav ul li a {
    font-size: 1rem;
    color: #bac1c9;
    padding: 5px 10px;
    -webkit-border-radius: 15px;
    -ms-border-radius: 15px;
    -moz-border-radius: 15px;
    -o-border-radius: 15px;
    border-radius: 15px;
    text-decoration: none;
}
.code-editor .embed-nav ul li a.active {
    background-color: #233038;
}
.code-editor .embed-nav .logo-wrap {
    display: none;
}
code[class*="language-"], pre[class*="language-"] {
    color: #f8f8f2;
    text-shadow: 0 1px rgba(0, 0, 0, 0.3);
    font-family: Consolas, Monaco, 'Andale Mono', monospace;
    direction: ltr;
    text-align: left;
    white-space: pre;
    word-spacing: normal;
    word-break: normal;
    line-height: 1.5;
    -moz-tab-size: 4;
    -o-tab-size: 4;
    tab-size: 4;
    -webkit-hyphens: none;
    -moz-hyphens: none;
    -ms-hyphens: none;
    hyphens: none;
}
/* Code blocks */
pre[class*="language-"] {
    padding: 0 15px 15px 15px;
    overflow: auto;
    font-size: 10px;
    font-size: 1rem;
}
:not(pre) > code[class*="language-"], pre[class*="language-"] {
    background: #4e606c;
}
/* Inline code */
:not(pre) > code[class*="language-"] {
    padding: 0.1em;
    border-radius: 0.3em;
}
.token.comment, .token.prolog, .token.doctype, .token.cdata {
    color: #9cacb7;
}
.token.punctuation {
    color: #f8f8f2;
}
.namespace {
    opacity: 0.7;
}
.token.function {
    color: #f5755a;
}
.token.property, .token.tag, .token.constant, .token.symbol {
    color: #71d4b7;
}
.token.boolean, .token.number {
    color: #ae81ff;
}
.token.selector, .token.attr-name, .token.string, .token.char, .token.builtin {
    color: #fc659a;
}
.token.operator, .token.entity, .token.url, .language-css .token.string, .style .token.string, .token.variable {
    color: #efb26e;
    background: rgba(255, 255, 255, 0);
}
.token.atrule, .token.attr-value {
    color: #e6db74;
}
.token.keyword {
    color: #66d9ef;
}
.token.regex, .token.important {
    color: #fd971f;
}
.token.important {
    font-weight: bold;
}
.token.entity {
    cursor: help;
}
.token.deleted {
    color: red;
}
.token.inserted {
    color: green;
}
pre.line-numbers {
    position: relative;
    padding-left: 55px;
    counter-reset: linenumber;
    margin-top: 0;
}
pre.line-numbers > code {
    position: relative;
}
.line-numbers .line-numbers-rows {
    position: absolute;
    pointer-events: none;
    top: 22px;
    font-size: 100%;
    left: -100px;
    width: 40px;
    /* works for line-numbers below 1000 lines */
    letter-spacing: -1px;
    color: #879ba6;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.line-numbers-rows > span {
    pointer-events: none;
    display: block;
    counter-increment: linenumber;
}
.line-numbers-rows > span:before {
    content: counter(linenumber);
    color: #999;
    display: block;
    padding-right: 0.8em;
    text-align: right;
}


@media (max-width: 991.98px){
    .container-card-skeleton{
        margin: 0 auto !important;
        width: 100%;
    }
    .card-skeleton{
        transform: scale(.8);
    }
    header#header-diag img#card-skeleton-img-logo{
        max-height: 100px;
    }
    section.code-editor{
        transform: scale(.6);
        width: 100%;
        margin: 0 auto;
    }

    #title-page-blog h1{
        font-size: 1.4rem !important;
    }

}